#include <genlib.h>

main()
{
 printf( "\nGenerating control.\n\n" );

 printf( "--> Loading core.\n" );
 LOAD_LOFIG("core");

 printf( "--> Unflattening ctl.\n" );
 UNFLATTEN_LOFIG("dlxm_ctl","ctl",
                 "sts",
                 "seq",
                  0);

 printf( "--> Saving.\n" );
 SAVE_LOFIG();

 printf( "\nFlattening control.\n\n" );

 printf( "--> Loading dlxm_ctl.\n" );
 LOAD_LOFIG("dlxm_ctl");

 printf( "--> Flattening SEQ.\n" );
 FLATTEN_LOFIG("seq",YES);

 printf( "--> Flattening STS.\n" );
 FLATTEN_LOFIG("sts",YES);

 printf( "--> Saving.\n" );
 SAVE_LOFIG();

 printf( "\n<-- OK.\n\n" );
 exit( 0 );
}
